@echo off
if "%WGNT%" == "" goto noenv
if "%WGDEV%" == "" goto noenv
if not exist %WGNT%\W32MKDE.EXE goto noexe
if not exist %WGDEV%\BIN\BTRIEVE\BUTIL.EXE goto nobutil
if not exist %WGNT%\W32MKDE.EXE goto nochdir
if "%1" == "" goto dohelp
%WGDEV%\bin\btrieve\butil %1 %2 %3 %4 %5 %6 %7 %8 %9 | more
goto done
:dohelp
%WGDEV%\bin\btrieve\butil
goto done
:nobutil
echo BUTIL.EXE not installed, please install first!
goto done
:noexe
echo W32MKDE.EXE not installed, please install first!
goto done
:noenv
echo Environment variables WGNT and WGDEV must be set!
goto done
:nochdir
echo Unable to change to the WGNT directory on the local drive!
goto done
:done
